<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Animation</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}

	img {
		max-width: 100%
	}

	a {
		text-decoration: none;
	}

	p {
		padding: 0;
		margin: 0;
	}

	html {
		box-sizing: border-box;
	}

	*, *:before, *:after {
		box-sizing: inherit;
	}

	.example-square-div {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 75px;
		height: 75px;
		padding: 0;
		border-radius: 3px;
		background: #e6e6e6;
		line-height: 1.2;
		text-align: center;
		color: #4d4d4d;
	}

	.g-content {
		max-width: 1200px;
		width: 100%;
		margin: 0 auto;
	}

	.example {
		width: 550px;
		padding: 10px;
		border: 1px solid #000;
		box-sizing: border-box;
	}

	@keyframes example {
		0% {
			transform: translateX(0) scale(1);
			background: #e6e6e6;
			color: #4d4d4d;
		}
		100% {
			transform: translateX(200px) scale(1.3333);
			background: hsl(348, 100%, 61%);
			color: #fff;
		}
	}

	@keyframes example1 {
		0% {
			transform: translateX(0) scale(1);
			background: #e6e6e6;
			color: #4d4d4d;
		}
		25% {
			transform: translateX(200px) scale(1.3333);
			background: hsl(348, 100%, 61%);
			color: #fff;
		}
		50% {
			transform: translateX(0) scale(1);
			background: #e6e6e6;
			color: blue;
		}
		100% {
			transform: translateX(200px) scale(1.3333);
			background: hsl(348, 100%, 61%);
			color: #fff;
		}
	}

	.example_1 .example-square-div {
		animation: example 3s ease-in-out infinite normal;
	}

	.example_2 .example-square-div {
		animation: example 3s ease-in-out infinite reverse 200ms;
	}

	.example_3 .example-square-div {
		animation: example 3s ease-in-out 3 alternate 200ms both;
	}

</style>
<body>
<!--Пример @keyframes -->
<!--Shorthand property for animation-name animation-duration animation-timing-function animation-delay animation-iteration-count animation-direction animation-fill-mode and animation-play-state.-->
<div class="g-content">
	<h4>
		<code>
			animation: example 3s ease-in-out infinite normal;
		</code>
	</h4>
	<div class="example example_1">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
<pre>
	@keyframes example {
		0% {
			transform: translateX(0) scale(1);
			background: #e6e6e6;
			color: #4d4d4d;
		}
		100% {
			transform: translateX(200px) scale(1.3333);
			background: hsl(348, 100%, 61%);
			color: #fff;
		}
	}
</pre>
	</h6>
	<!---->
	<h4>
		<code>
			animation: example 3s ease-in-out infinite reverse 200ms;
		</code>
	</h4>
	<div class="example example_2">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
<pre>
	@keyframes example {
		from {
			transform: translateX(0) scale(1);
			background: #e6e6e6;
			color: #4d4d4d;
		}
		to {
			transform: translateX(200px) scale(1.3333);
			background: hsl(348, 100%, 61%);
			color: #fff;
		}
	}
</pre>
	</h6>
	<!---->
	<h4>
		<code>
			animation: example 3s ease-in-out 3 alternate 200ms both;
		</code>
	</h4>
	<div class="example example_3">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
<pre>
	@keyframes example {
		from {
			transform: translateX(0) scale(1);
			background: #e6e6e6;
			color: #4d4d4d;
		}
		to {
			transform: translateX(200px) scale(1.3333);
			background: hsl(348, 100%, 61%);
			color: #fff;
		}
	}
</pre>
	</h6>
</div>
</body>
</html>